[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / CheckboxHeaderCellComponent

# Class: CheckboxHeaderCellComponent\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:33](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts#L33)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Implements

- `OnInit`

## Constructors

### new CheckboxHeaderCellComponent()

> **new CheckboxHeaderCellComponent**\<`Data`\>(`cdkTable`, `selectRow`): [`CheckboxHeaderCellComponent`](CheckboxHeaderCellComponent.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:40](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts#L40)

#### Parameters

##### cdkTable

`CdkTable`\<`Data`\>

##### selectRow

[`SelectRowService`](SelectRowService.md)\<`Data`\>

#### Returns

[`CheckboxHeaderCellComponent`](CheckboxHeaderCellComponent.md)\<`Data`\>

## Properties

### checked$

> **checked$**: `Observable`\<`boolean`\> = `EMPTY`

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:36](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts#L36)

***

### indeterminate$

> **indeterminate$**: `Observable`\<`boolean`\> = `EMPTY`

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:35](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts#L35)

***

### isMultipleSelection

> **isMultipleSelection**: `boolean` = `false`

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:38](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts#L38)

## Methods

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:49](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts#L49)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### onChange()

> **onChange**(`$event`): `void`

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:66](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts#L66)

#### Parameters

##### $event

`MatCheckboxChange`

#### Returns

`void`
